transform.ProbeSet {affypdnn} | R Documentation

## A function to tranform a ProbeSet

### Description

A function to transform the PMs and MMs in a ProbeSet

### Usage

    transform.ProbeSet(`_data`, fun = I, ...)

### Arguments

`_data` | object of `ProbeSet-class`
`fun` | a function. The identity function by default.
`...` | optional arguments for `fun`

### Details

The function `fun` is applied to the slots `pm` and `mm`. The function `vsnh` in the package `vsn` is a recommended argument for `fun`.

### Value

An object of class `ProbeSet`.

### Note

This function should make to the package `affy` for the version 1.4.x.

### Author(s)

Laurent

### Examples

    library(affydata)

    data(Dilution)

    ppset.name <- sample(geneNames(Dilution), 1)
    ppset <- probeset(Dilution, ppset.name)[[1]]
    ppset.log <- transform(ppset, fun=log)

    par(mfrow=c(1,2))
    plot(ppset)
    plot(ppset.log)

[Package affypdnn version 1.12.0 Index]